/*
 * Copyright (c) 2011-2012 Wind River Systems, Inc. 
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement. 
 */

/* 
DESCRIPTION
   
This file provides a Qt VxWorks mouse driver.
*/

#ifndef QMOUSE_VXWORKS_H
#define QMOUSE_VXWORKS_H

#include <QtCore/qobject.h>
#include <QtGui/qmouse_qws.h>

#ifndef QT_NO_QWS_MOUSE

#ifndef QT_NO_QWS_MOUSE_VXWORKS

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

class QSocketNotifier;

class Q_GUI_EXPORT QWSVxWorksMouseHandler : public QObject, public QWSMouseHandler
{
    Q_OBJECT
public:
    explicit QWSVxWorksMouseHandler(const QString &driver = QString(),
                                    const QString &device = QString());
    virtual ~QWSVxWorksMouseHandler();

    void suspend();
    void resume();

private Q_SLOTS:
    void readMouseData();

private:
    QSocketNotifier *mouseNotifier;
    QString mouseDevice;
};

QT_END_NAMESPACE

QT_END_HEADER

#endif /* QT_NO_QWS_MOUSE_VXWORKS */

#endif /* QT_NO_QWS_MOUSE */

#endif /* QMOUSEVXWORKS_QWS_H */
